<div class="sub-page-container">
  <!-- Title -->
  <h1>{{ 'parameter.uncertainty.title' | translate }}</h1>
  <mat-divider></mat-divider>
  <div class="sub-page-body" *ngIf="uq | async; let quValues">
    <div class="left-container">
      <div class="grid">
        <!-- 
            Sample Size 
          -->
        <div class="grid-item sample-size">
          <div class="title" *ngIf="monte.checked || quasi.checked">
            <h2>{{ 'parameter.uncertainty.sampleSize' | translate }}</h2>
          </div>
          <energy-platform-parameter-slider
            *ngIf="monte.checked || quasi.checked"
            #sampleSize
            [unit]="schema?.uq?.properties?.sample_size?.unit"
            [min]="schema?.uq?.properties?.sample_size?.minimum"
            [max]="schema?.uq?.properties?.sample_size?.maximum"
            [step]="schema?.uq?.properties?.sample_size?.step"
            [value]="quValues.sample_size"
            (valueChange)="quValues.sample_size = $event"
          ></energy-platform-parameter-slider>
        </div>
        <!-- 
          Method 
        -->
        <div class="grid-item method">
          <div class="title">
            <h2>{{ 'parameter.uncertainty.method' | translate }}</h2>
            <mat-icon
              [matTooltip]="
                'parameter.uncertainty.methodDescription' | translate
              "
              matTooltipPosition="right"
            >
              info_outlined
            </mat-icon>
          </div>
          <mat-radio-group
            class="radio-container"
            #matSelect_uncertainty_method
            disableOptionCentering
            [(ngModel)]="quValues.method"
          >
            <mat-radio-button #monte value="MonteCarlo"
              >Monte Carlo</mat-radio-button
            >
            <mat-radio-button #quasi value="quasiMonteCarlo"
              >Quasi-Monte Carlo</mat-radio-button
            >
          </mat-radio-group>
        </div>
      </div>
      <!--
        Save Button
      -->
      <button
        mat-button
        [disabled]="!buttonValidator([])"
        class="pill-button save-button"
        (click)="onSave()"
      >
        {{ 'parameter.general.save' | translate }}
      </button>
    </div>
    <div class="right-container">
      <div class="grid">
        <!-- 
          Uncertainties 
        -->
        <div class="grid-item uncertainties">
          <div class="title">
            <h2>{{ 'parameter.uncertainty.uncert' | translate }}</h2>
          </div>
          <table class="mat-table">
            <thead>
              <tr class="mat-header-row">
                <th class="mat-header-cell">
                  {{
                    'parameter.uncertainty.uncertainties.parameter' | translate
                  }}
                </th>
                <th class="mat-header-cell">
                  Y/N
                  <mat-icon
                    [matTooltip]="
                      'parameter.uncertainty.uncertainties.parameterDescription'
                        | translate
                    "
                    matTooltipPosition="right"
                  >
                    info_outlined
                  </mat-icon>
                </th>
                <th class="mat-header-cell">
                  {{
                    'parameter.uncertainty.uncertainties.pdftype' | translate
                  }}
                  <mat-icon
                    [matTooltip]="
                      'parameter.uncertainty.uncertainties.pdftypeDescription'
                        | translate
                    "
                    matTooltipPosition="right"
                  >
                    info_outlined
                  </mat-icon>
                </th>
                <th class="mat-header-cell">
                  {{
                    'parameter.uncertainty.uncertainties.p90perc' | translate
                  }}
                  <mat-icon
                    [matTooltip]="
                      'parameter.uncertainty.uncertainties.p90percDescription'
                        | translate
                    "
                    matTooltipPosition="right"
                  >
                    info_outlined
                  </mat-icon>
                </th>
              </tr>
            </thead>
            <tbody>
              <tr
                class="mat-row"
                *ngFor="let param of uncertainties_params; let i = index"
              >
                <td class="mat-cell">
                  {{ param.name | translate }}
                </td>
                <td class="mat-cell">
                  <mat-checkbox
                    color="primary"
                    [(ngModel)]="param.value.consider"
                  ></mat-checkbox>
                </td>
                <td class="mat-cell">
                  <mat-form-field appearance="outline">
                    <mat-select
                      #matSelect_uncertainties_{{param.name}}
                      disableOptionCentering
                      [(ngModel)]="param.value.pdf_type"
                      [disabled]="!param.value.consider"
                    >
                      <mat-option value="normal">Normal</mat-option>
                      <mat-option value="uniform">Uniform</mat-option>
                      <mat-option value="weibull">Weibull</mat-option>
                    </mat-select>
                  </mat-form-field>
                </td>
                <td class="mat-cell">
                  <mat-form-field appearance="outline">
                    <input
                      matInput
                      #p90_{{param.name}}
                      type="number"
                      min="0.05"
                      max="20"
                      step="0.01"
                      [(ngModel)]="param.value.p90_percentage"
                      [disabled]="!param.value.consider"
                    />
                  </mat-form-field>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
